petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPResetFromOptions

Sets various KSP parameters from user options ONLY if the KSP was previously set from options

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPResetFromOptions(KSP ksp)

Collective on ksp

### Input Parameter

ksp -the KSP context

### See Also

KSPSetFromOptions(), KSPSetOptionsPrefix()

### Level

beginner

### Location

src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages